Try to get rid of mobileview call for regular pages
Closed, ResolvedPublic

Description

Currently the service makes calls to both Parsoid and mobileview.
We don't need to request the page content on the backend from two different sources.
Let's get rid of the mobileview output. And see if we can get rid of the backend request altogether. The only reason we use it right now is to get the page metadata.

  1. Collect metadata properties we need in the apps .
  2. What metadata we need can we get from Parsoid?
  3. Come up with simpler requests if we still need more.

Related Objects

bearND created this task.Jun 22 2015, 3:49 PM
bearND updated the task description. (Show Details)
bearND raised the priority of this task from to Needs Triage.
bearND added a project: Mobile-Content-Service.
bearND moved this task to Backlog on the Mobile-Content-Service board.
bearND added a subscriber: bearND.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2015, 3:49 PM
bearND moved this task from Backlog to On hold on the Mobile-Content-Service board.Jul 3 2015, 5:25 PM

Change 368959 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/services/mobileapps@master] WIP: Do not use MobileView to source metadata

https://gerrit.wikimedia.org/r/368959

Change 369580 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/services/mobileapps@master] MCS no longer uses mobile view API under the hood

https://gerrit.wikimedia.org/r/369580

Change 369805 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] Bring back anchorencode and locutus dependency

https://gerrit.wikimedia.org/r/369805

Change 369805 had a related patch set uploaded (by Jdlrobson; owner: BearND):
[mediawiki/services/mobileapps@master] Bring back anchorencode and locutus dependency

https://gerrit.wikimedia.org/r/369805

Change 369805 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Bring back anchorencode and locutus dependency

https://gerrit.wikimedia.org/r/369805

Change 368959 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Do not use MobileView to source metadata

https://gerrit.wikimedia.org/r/368959

Change 369580 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] MCS no longer uses mobile view API under the hood

https://gerrit.wikimedia.org/r/369580

Mentioned in SAL (#wikimedia-releng) [2017-08-15T17:57:51Z] <bearND> Update mobileapps to 33b80dd (T172829 T152441 T172021 T103362)

Mentioned in SAL (#wikimedia-operations) [2017-08-15T17:59:00Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@34a1304]: Update mobileapps to 33b80dd (T172829 T152441 T172021 T103362) (duration: 04m 00s)

T173379 captures the remaining work. Resolve per your workflow :)

bearND closed this task as Resolved.Thu, Aug 24, 2:27 AM